## com.gargoylesoftware.htmlunit.html
Class HtmlTableRow.CellIterator

    java.lang.Object
      com.gargoylesoftware.htmlunit.html.HtmlTableRow.CellIterator

All Implemented Interfaces:
  java.util.Iterator<HtmlTableCell>

Enclosing class:
  HtmlTableRow

    public class HtmlTableRow.CellIterator

extends java.lang.Object
implements java.util.Iterator<HtmlTableCell>

An Iterator over the HtmlTableCells contained in this row. It will also dive into nested forms, even though that is illegal HTML.

Constructor Summary
`HtmlTableRow.CellIterator()` Creates an instance.

Method Summary
`boolean` `hasNext()`
`HtmlTableCell` `next()`
`HtmlTableCell` `nextCell()`
`void` `remove()` Removes the cell under the cursor from the current row.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlTableRow.CellIterator

    public HtmlTableRow.CellIterator()

  Creates an instance.

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<HtmlTableCell>`
  Returns:
    whether there is another cell available

### next

    public HtmlTableCell next()
                       throws java.util.NoSuchElementException

  Specified by:
    `next` in interface `java.util.Iterator<HtmlTableCell>`
  Returns:
    the next cell
  Throws:
    `java.util.NoSuchElementException` - if no cell is available

### remove

    public void remove()
                throws java.lang.IllegalStateException

  Removes the cell under the cursor from the current row.

  Specified by:
    `remove` in interface `java.util.Iterator<HtmlTableCell>`
  Throws:
    `java.lang.IllegalStateException` - if there is no current row

### nextCell

    public HtmlTableCell nextCell()
                           throws java.util.NoSuchElementException

  Returns:
    the next cell
  Throws:
    `java.util.NoSuchElementException` - if no cell is available

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.